Bug 344461 - crash in slideshow_free (show=0x0) at gnome-bg.c:1551
crash in slideshow_free (show=0x0) at gnome-bg.c:1551
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-21 10:12 EDT by Andre Klapper
Modified: 2014-06-18 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.20.1-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-14 22:31:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 439977 None None None Never

  None (edit)
Description Andre Klapper 2007-10-21 10:12:53 EDT
the crash is triggered by a fedora-specific patch:
http://ssp.fedorapeople.org/background/bg-gnome-desktop.patch
http://ssp.fedorapeople.org/background/bg-eel.patch

seems like a lot of fedora7 users run into this issue
(>80 duplicate reports so far in gnome bugzilla).
i have only seen reports from fedora7 so far, no fedora8beta reports, so perhaps
this issue has been fixed in the meantime. if so, shipping a backport patch for
fedora7 would be highly appreciated to lower the workload of the gnome bugsquad.

stacktrace taken from http://bugzilla.gnome.org/show_bug.cgi?id=439977#c84 :

#3  <signal handler called>
#4  slideshow_free (show=0x0) at gnome-bg.c:1551
#5  0x009b54d5 in get_as_slideshow (bg=0x8ff9438, 
    uri=0x8ff45a0 "file:///home/thst/.gnome2/wallpapers/LucidaGrande.dfont")
    at gnome-bg.c:1622
#6  0x009b6440 in get_pixbuf (bg=0x8ff9438) at gnome-bg.c:1149
#7  0x009b6ff8 in gnome_bg_create_pixmap (bg=0x8ff9438, window=0x9008d10, 
    width=1680, height=1050, root=1) at gnome-bg.c:399
#8  0x03e08219 in eel_background_get_pixmap_and_color (background=0x8fc4960, 
    window=0x9008d10, color=0xbf876104, changes_with_size=0xbf876110)
    at eel-background.c:339
#9  0x03e082e3 in eel_background_set_up_widget (background=0x8fc4960, 
    widget=0x8ffb000) at eel-background.c:681
#10 0x001b8199 in IA__g_cclosure_marshal_VOID__VOID (closure=0x8cf75d8, 
    return_value=0x0, n_param_values=1, param_values=0xbf87635c, 
    invocation_hint=0xbf87626c, marshal_data=0x3e08730) at gmarshal.c:77
#11 0x001aada2 in IA__g_closure_invoke (closure=0x8cf75d8, return_value=0x0, 
    n_param_values=1, param_values=0xbf87635c, invocation_hint=0xbf87626c)
    at gclosure.c:490
#12 0x001bb4d3 in signal_emit_unlocked_R (node=0x8c026b0, detail=0, 
    instance=0x8ffb000, emission_return=0x0, instance_and_params=0xbf87635c)
    at gsignal.c:2440
#13 0x001bc9f7 in IA__g_signal_emit_valist (instance=0x8ffb000, signal_id=44, 
    detail=0, var_args=0xbf87659c "\221ú,") at gsignal.c:2199
#14 0x001bcbb9 in IA__g_signal_emit (instance=0x8ffb000, signal_id=44, 
    detail=0) at gsignal.c:2243
#15 0x04a8a06a in IA__gtk_widget_realize (widget=0x8ffb000)
    at gtkwidget.c:2498
#16 0x04a8a359 in IA__gtk_widget_map (widget=0x8ffb000) at gtkwidget.c:2415
#17 0x048d9bc5 in gtk_container_map_child (child=0x0, client_data=0x0)
    at gtkcontainer.c:2387
#18 0x0489819f in gtk_bin_forall (container=0x8fec350, include_internals=1, 
    callback=0, callback_data=0x0) at gtkbin.c:133
#19 0x049c59e8 in gtk_scrolled_window_forall (container=0x8fec350, 
    include_internals=1, callback=0x48d9ba0 <gtk_container_map_child>, 
    callback_data=0x0) at gtkscrolledwindow.c:986
#20 0x048d74bb in IA__gtk_container_forall (container=0x8fec350, 
    callback=0x48d9ba0 <gtk_container_map_child>, callback_data=0x0)
    at gtkcontainer.c:1261
Comment 1 Andre Klapper 2007-10-21 13:17:14 EDT
taken from http://bugzilla.gnome.org/show_bug.cgi?id=439593 :

#3  <signal handler called>
No symbol table info available.
#4  slideshow_free (show=0x0) at gnome-bg.c:1551
        list = <value optimized out>
#5  0x00a2c4d5 in get_as_slideshow (bg=0x87be8b0, 
    uri=0x87feae0
"file:///home/davdunc/.gnome2/wallpapers/D__David_Duncan.pdf") at
gnome-bg.c:1622
        show = (SlideShow *) 0x0
        ent = <value optimized out>
#6  0x00a2d440 in get_pixbuf (bg=0x87be8b0) at gnome-bg.c:1149
        show = <value optimized out>
        ref = <value optimized out>
#7  0x00a2df4f in gnome_bg_changes_with_size (bg=0x87be8b0) at gnome-bg.c:365
        __PRETTY_FUNCTION__ = "gnome_bg_changes_with_size"
#8  0x04c5f1ec in eel_background_get_pixmap_and_color (background=0x86bd9a8, 
    window=0x8617c08, color=0xbfb2b804, changes_with_size=0xbfb2b810)
    at eel-background.c:338
        entire_width = 1280
        entire_height = 800
#9  0x04c5f2e3 in eel_background_set_up_widget (background=0x86bd9a8, 
    widget=0x876b020) at eel-background.c:681
        style = <value optimized out>
        pixmap = <value optimized out>
        root_pixmap = <value optimized out>
        color = {pixel = 141285800, red = 47144, green = 49074, blue = 63344}
        window_width = <value optimized out>
        window_height = <value optimized out>
        window = <value optimized out>
        changes_with_size = <value optimized out>
#10 0x06a45199 in IA__g_cclosure_marshal_VOID__VOID (closure=0x877bdb8, 
    return_value=0x0, n_param_values=1, param_values=0xbfb2ba5c, 
    invocation_hint=0xbfb2b96c, marshal_data=0x4c5f730) at gmarshal.c:77
        data1 = (gpointer) 0x876b020
        data2 = (gpointer) 0x0
        __PRETTY_FUNCTION__ = "IA__g_cclosure_marshal_VOID__VOID"
#11 0x06a37da2 in IA__g_closure_invoke (closure=0x877bdb8, return_value=0x0, 
    n_param_values=1, param_values=0xbfb2ba5c, invocation_hint=0xbfb2b96c)
    at gclosure.c:490
        marshal = (
    GClosureMarshal) 0x80750cc <g_cclosure_marshal_VOID__VOID@plt>
        marshal_data = (gpointer) 0x0
        __PRETTY_FUNCTION__ = "IA__g_closure_invoke"
Comment 2 Søren Sandmann Pedersen 2007-10-23 11:13:45 EDT
Thanks. This bug is in F8 as well. I'll ship updates soon.
Comment 3 Andre Klapper 2007-11-08 07:00:31 EST
Søren, any news here? Will this be fixed in Fedora 8?
Yes, we still get a lot of reports in GNOME Bugzilla. ;-)
Comment 4 Søren Sandmann Pedersen 2007-11-12 16:37:17 EST
Sorry about that. I'll get to this tomorrow, I promise. 

(I had a mail issue that caused me to not see a lot of bugzilla mail).
Comment 5 Fedora Update System 2007-11-14 22:31:10 EST
gnome-desktop-2.20.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-11-14 22:33:00 EST
gnome-desktop-2.18.3-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Andre Klapper 2007-12-18 07:32:28 EST
according to http://bugzilla.gnome.org/show_bug.cgi?id=503981#c2 this is not
fixed in 2.18.3-4.fc7. i've asked the reporter to provide a better stacktrace,
will reopen this report when we have one.

Note You need to log in before you can comment on or make changes to this bug.